Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.apache.xml.utils
Class WrappedRuntimeException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.lang.RuntimeException
                        |
                        +--weblogic.apache.xml.utils.WrappedRuntimeException

public class WrappedRuntimeException
extends java.lang.RuntimeException

This class is for throwing important checked exceptions over non-checked methods. It should be used with care, and in limited circumstances.

This class is based on an implementation from the Apache XML Project. In future releases the XML parser, XSLT processor, and associated classes will likely be updated to be based on a later version of the Apache implementations. Since Apache does not guarantee backwards compatibility between versions of their software, we cannot guarantee backwards compatibility of any of the classes contained in the weblogic.apache package or sub-packages.

See Also:
  Serialized Form

Constructor Summary
`WrappedRuntimeException(java.lang.Exception e)` Construct a WrappedRuntimeException from a checked exception.
`WrappedRuntimeException(java.lang.String msg, java.lang.Exception e)` Constructor WrappedRuntimeException

Method Summary
`java.lang.Exception` | `getException()` Get the checked exception that this runtime exception wraps.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### WrappedRuntimeException

    public WrappedRuntimeException(java.lang.Exception e)

  Construct a WrappedRuntimeException from a checked exception.

  Parameters:
    `e` - Primary checked exception

### WrappedRuntimeException

    public WrappedRuntimeException(java.lang.String msg,
                                   java.lang.Exception e)

  Constructor WrappedRuntimeException

  Parameters:
    `msg` - Exception information.
    `e` - Primary checked exception

Method Detail

### getException

    public java.lang.Exception getException()

  Get the checked exception that this runtime exception wraps.

  Returns:
    The primary checked exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference